// returns true if the field contains a date in the right format
function validatetextdateformat(thefield) {
	var format = thefield.dateformat || "dd/mm/yyyy";
	// to be continued...
	return true;
}


// returns true if the field contains a valid month number (1 - 12, leading 0 allowed)
function validatemonthnumber(thefield) {
	var n = parseInt(thefield.value);
	if( n >= 1 && n <= 12 ) {
		return true;
	}
	return false;
}

// returns true if the field contains a valid day number (1 - 31, leading 0 allowed)
// because we're using parseInt, then 1st, 2nd, 3rd, ... are also accepted
function validatemonthdaynumber(thefield) {
	var n = parseInt(thefield.value);
	if( n >= 1 && n <= 31 ) {
		return true;
	}
	return false;
}

