// this file requires javascript 1.2 because it uses RegExp

// returns boolean true if the given string is a valid email address
function validEmail(thestring) {
    if (thestring.search(/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/) != -1)
        return true;
    else
        return false;
}

// should return true if given a field with a null value because the 
// validaterequired function (defined elsewhere) would catch that error.
// so we only return false if a value is given and it is not valid.
function validateemail(thefield) {
	if( thefield.value.length > 0 && !validEmail(thefield.value) ) {
		return false;
	}
	return true;
}

