// returns boolean true if the given integer is in the range [min,max]
function inRange(theinteger,min,max) {
	var b = true;
	if( min != null && theinteger < min ) {
		b = false;
	}
	if( max != null && theinteger > max ) {
		b = false;
	}
	return b;
}

// should return true if given a field with a null value because the 
// validaterequired function (defined elsewhere) would catch that error.
// so we only return false if a value is given and it is not valid.
// this function actually works on strings too (try testing between two letters)
function validaterange(thefield) {
	var v = fieldvalue(thefield);
	if( v.length > 0 && !inRange(v,thefield.getAttribute("min"),thefield.getAttribute("max")) ) {
		return false;
	}
	return true;
}

// returns true if the field value matches another named field's value
function validatematch(thefield) {
	if( fieldvalue(thefield) == fieldvalue(thefield.form[thefield.getAttribute("match")]) ) {
		return true;
	}
	return false;
}

// returns true if the field value does not match another named field's value
function validatenomatch(thefield) {
	if(  fieldvalue(thefield) != fieldvalue(thefield.form[thefield.getAttribute("nomatch")]) ) {
		return true;
	}
	return false;
}
